# Interface ClientHandlerProps

interface ClientHandlerProps {
Component?: any;
ErrorComponent: any;
context?: Id[];
error?: any;
fillSize?: boolean;
handlerId?: Id;
linkId: Id;
ml?: any;
onClose?: (() => any);
[key: string]: any;
}

#### Hierarchy

- Partial<ClientHandlerRendererProps>
  - ClientHandlerProps

#### Indexable

- [key: string]: any

- Defined in work/deeplinks/deeplinks/imports/client-handler.tsx:177

#####
Index

### Properties

Component?
ErrorComponent
context?
error?
fillSize?
handlerId?
linkId
ml?
onClose?

##
Properties

### `Optional` Component

Component?: any

Inherited from Partial.Component

- Defined in work/deeplinks/deeplinks/imports/client-handler.tsx:154

### ErrorComponent

ErrorComponent: any

- Defined in work/deeplinks/deeplinks/imports/client-handler.tsx:184

### `Optional` context

context?: Id[]

- Defined in work/deeplinks/deeplinks/imports/client-handler.tsx:180

### `Optional` error

error?: any

- Defined in work/deeplinks/deeplinks/imports/client-handler.tsx:182

### `Optional` fillSize

fillSize?: boolean

Inherited from Partial.fillSize

- Defined in work/deeplinks/deeplinks/imports/client-handler.tsx:155

### `Optional` handlerId

handlerId?: Id

- Defined in work/deeplinks/deeplinks/imports/client-handler.tsx:179

### linkId

linkId: Id

- Defined in work/deeplinks/deeplinks/imports/client-handler.tsx:178

### `Optional` ml

ml?: any

- Defined in work/deeplinks/deeplinks/imports/client-handler.tsx:181

### `Optional` onClose

onClose?: (() => any)

Overrides Partial.onClose

- Defined in work/deeplinks/deeplinks/imports/client-handler.tsx:183